Ogre::Profiler::ProfileFrame Struct Reference

Represents the total timing information of a profile since profiles can be called more than once each frame. More...

`#include <OgreProfiler.h>`

List of all members.

## Public Attributes

ulong | frameTime
| The total time this profile has taken this frame.
uint | calls
| The number of times this profile was called this frame.
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the main loop.

## Detailed Description

Represents the total timing information of a profile since profiles can be called more than once each frame.

Definition at line 355 of file OgreProfiler.h.

## Member Data Documentation

uint Ogre::Profiler::ProfileFrame::calls

The number of times this profile was called this frame.

Definition at line 362 of file OgreProfiler.h.

ulong Ogre::Profiler::ProfileFrame::frameTime

The total time this profile has taken this frame.

Definition at line 359 of file OgreProfiler.h.

uint Ogre::Profiler::ProfileFrame::hierarchicalLvl

The hierarchical level of this profile, 0 being the main loop.

Definition at line 365 of file OgreProfiler.h.

The documentation for this struct was generated from the following file:

- OgreProfiler.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:34